FieldGroup< BaseTypeList_T, Dims_T >::Sample Struct Reference

`#include <FieldGroup.h>`

## Public Member Functions

template<typename T>
void | operator() (const T &vec) const
| Functor.
| Sample (const V3d &p, float *result, size_t &numHits)
| Ctor.

## Public Attributes

size_t & | m_numHits
const V3d & | m_p
float * | m_result

## Detailed Description

template<typename BaseTypeList_T, int Dims_T>
struct FieldGroup< BaseTypeList_T, Dims_T >::Sample

Definition at line 1074 of file FieldGroup.h.

## Constructor & Destructor Documentation

## Sample()

template<typename BaseTypeList_T, int Dims_T>

FieldGroup< BaseTypeList_T, Dims_T >::Sample::Sample | ( | const V3d & | p,
|  | float * | result,
|  | size_t & | numHits )

inline

Ctor.

Definition at line 1077 of file FieldGroup.h.

: m_p(p), m_result(result), m_numHits(numHits)
{ }
FieldGroup::Sample::m_p
const V3d & m_p
Definition FieldGroup.h:1087
FieldGroup::Sample::m_numHits
size_t & m_numHits
Definition FieldGroup.h:1089
FieldGroup::Sample::m_result
float * m_result
Definition FieldGroup.h:1088
FieldGroup
Definition FieldGroup.h:304

References m_numHits, m_p, and m_result.

## Member Function Documentation

## operator()()

template<typename BaseTypeList_T, int Dims_T>
template<typename T>

void FieldGroup< BaseTypeList_T, Dims_T >::Sample::operator() | ( | const T & | vec | ) | const

inline

Functor.

Definition at line 1082 of file FieldGroup.h.

{
FieldSampler<T, Dims_T>::sample(vec, m_p, m_result, m_numHits);
}
FieldSampler::sample
static void sample(const WrapperVec_T &f, const V3d &wsP, float *value, size_t &numHits)
Definition FieldSampler.h:93

References m_numHits, m_p, m_result, and FieldSampler< WrapperVec_T, Dims_T >::sample().

## Member Data Documentation

## m_p

template<typename BaseTypeList_T, int Dims_T>

const V3d& FieldGroup< BaseTypeList_T, Dims_T >::Sample::m_p

Definition at line 1087 of file FieldGroup.h.

Referenced by operator()(), and Sample().

## m_result

template<typename BaseTypeList_T, int Dims_T>

float* FieldGroup< BaseTypeList_T, Dims_T >::Sample::m_result

Definition at line 1088 of file FieldGroup.h.

Referenced by operator()(), and Sample().

## m_numHits

template<typename BaseTypeList_T, int Dims_T>

size_t& FieldGroup< BaseTypeList_T, Dims_T >::Sample::m_numHits

Definition at line 1089 of file FieldGroup.h.

Referenced by operator()(), and Sample().

The documentation for this struct was generated from the following file:

- export/FieldGroup.h